Package eu.mhsl.minenet.minigames.message.type

# Class TitleMessage

java.lang.Object
eu.mhsl.minenet.minigames.message.TranslatableMessage
eu.mhsl.minenet.minigames.message.type.TitleMessage

All Implemented Interfaces:
  `Sendable`

public class TitleMessage extends TranslatableMessage

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TitleMessage()`
  `TitleMessage(Duration stay)`
  `TitleMessage(Duration stay, Duration fade)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `send(net.minestom.server.entity.Player p)`
  `void`
  `setTimes(net.kyori.adventure.title.Title.Times times)`
  `TranslatableMessage`
  `subtitle(Consumer<SubtitleMessage> callback)`

  ### Methods inherited from class eu.mhsl.minenet.minigames.message.TranslatableMessage

  `appendStatic, appendStatic, appendTranslated, build, indent, list, newLine, pipe, quote`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface eu.mhsl.minenet.minigames.message.Sendable

  `send, send, send`

- ## Constructor Details

  - ### TitleMessage

    public TitleMessage()

  - ### TitleMessage

    public TitleMessage(Duration stay)

  - ### TitleMessage

    public TitleMessage(Duration stay, Duration fade)

- ## Method Details

  - ### setTimes

    public void setTimes(net.kyori.adventure.title.Title.Times times)

  - ### subtitle

    public TranslatableMessage subtitle(Consumer<SubtitleMessage> callback)

  - ### send

    public void send(net.minestom.server.entity.Player p)